# $Revision: 1.2 $, $Date: 2003/07/16 12:15:29 $
Summary:	Generates (pseudo-)random passwords
Summary(pl):	Generowanie (pseudo-)losowych hase
Name:		makepasswd
Version:	0.4.1
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	ftp://ftp.defora.org/pub/projects/makepasswd/%{name}-%{version}.tar.gz
# Source0-md5:	3759881f5957a72e3e4d201c50362b67
URL:		http://www.defora.org/projects/makepasswd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Makepasswd generates (pseudo-)random passwords of a desired length. It
is able to generate its crypted equivalent.

%description -l pl
Makepasswd generuje (pseudo-)losowe hasa o danej dugoci. Potrafi
generowa ich zaszyfrowane odpowiedniki.

%prep
%setup -q

%build
%{__make} \
	PREFIX=%{_prefix} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -ansi"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install src/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: makepasswd.spec,v $
Revision 1.2  2003/07/16 12:15:29  qboosh
- pl fix, pass CC and CFLAGS

Revision 1.1  2003/07/16 11:03:07  blues
- very nice random password generator
